#
# spec file for package perl-diffmk (Version 1.0)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         perl-diffmk
License:      Artistic License
Group:        Development/Libraries/Perl
Requires:     perl = %{perl_version}
Requires:     perl-Algorithm-Diff perl-XML-DOM perl-XML-Parser
Autoreqprov:  on
Summary:      perl-diffmk
Version:      1.0
Release:      1
Source:       http://wwws.sun.com/software/xml/developers/diffmk/diffmk-1.0.zip
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
perl-diffmk

%prep
%setup -T -D -c
unzip -a %{S:0}
%define perl_site %(TMP=%{perl_sitearch}; echo ${TMP%/*})

%build
cp diffmk diffmk.tmp
sed "s|\(\"/\.diffmk\.xml\",\)|\1 \"%{_datadir}/xml/diffmk/dtd/diffmk.xml\",|" \
  diffmk.tmp > diffmk

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir} \
  $RPM_BUILD_ROOT%{_datadir}/xml/diffmk/{dtd,xsd,xml}
install -m 755 diffmk $RPM_BUILD_ROOT%{_bindir}
install -m 755 diffmk.dtd $RPM_BUILD_ROOT%{_datadir}/xml/diffmk/dtd
install -m 755 diffmk.xsd $RPM_BUILD_ROOT%{_datadir}/xml/diffmk/xsd
install -m 755 diffmk.xml $RPM_BUILD_ROOT%{_datadir}/xml/diffmk/xml
pushd $RPM_BUILD_ROOT%{_datadir}/xml/diffmk/dtd \
  && ln -sf ../xml/diffmk.xml . \
  && popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc diff.* diffmk.* README.html diff.txt
%doc frames.html out.html out.xml refentry.html refentry.xml test1.html
%doc test1.xml test2.html test2.xml
%{_bindir}/*
%dir %{_datadir}/xml
%{_datadir}/xml/diffmk

%changelog -n perl-diffmk
* Wed Feb 04 2004 - ke@suse.de
- New package: version 1.0
